Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cascading.flow.hadoop
Class FlowMapper

    java.lang.Object
      cascading.flow.hadoop.FlowMapper

All Implemented Interfaces:
  JobConfigurable, MapRunnable

    public class FlowMapper

extends Object
implements MapRunnable

Class FlowMapper is the Hadoop Mapper implementation.

Constructor Summary
`FlowMapper()` Constructor FlowMapper creates a new FlowMapper instance.

Method Summary
`void` | `configure(JobConf jobConf)`
`void` | `run(RecordReader input, OutputCollector output, Reporter reporter)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FlowMapper

    public FlowMapper()

  Constructor FlowMapper creates a new FlowMapper instance.

Method Detail

### configure

    public void configure(JobConf jobConf)

  Specified by:
    `configure` in interface `JobConfigurable`

### run

    public void run(RecordReader input,
                    OutputCollector output,
                    Reporter reporter)
             throws IOException

  Specified by:
    `run` in interface `MapRunnable`
  Throws:
    `IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007-2013 Concurrent, Inc. All Rights Reserved.